Subject: Re: Feature request: thin checkout

From: Johannes Sixt <[email-masked]>
Date: Fri, 15 Jun 2007 12:44:47 +0200

[email-masked] wrote:
> Wouldn't it be nice if there were a way to tell git-update-index and
> git-checkout index that certain directories are not in the working
> directory, but don't worry.  Just pretend they exist and match the index.
> 
> Then I could mark much of arch/* as "don't bother" and save a pile of
> disk space per working directory.

Currently, directories are not registered in the index. For this reason,
empty directories cannot be versioned. One day, will want to support
this, and for this purpose, directories must also be registered in the
index. Once this infrastructure is in place, the "don't bother" flag
will be a no-brainer, methinks.

-- Hannes